%define name wine-av
%define version 20040914
%define release 25
%define buildroot %{_topdir}/BUILD/%{name}-buildroot

Summary: Wine release for use with Autovue Web Edition
Name: %{name}
Version: %{version}
Release: %{release}
Vendor: Oracle
Group: Applications/Emulators
Source:%{_topdir}/SOURCES/wine-av-20040914.tar.gz
BuildRoot: %{buildroot}
License: LGPL
Prefix: %{_prefix}

Requires:  xorg-x11-server-Xvfb
Requires:  libXfont(x86-32)
Requires:  mesa-libGL(x86-32)
Requires:  mesa-libGLU(x86-32)
Requires:  zlib(x86-32)
Requires:  bzip2-libs(x86-32)
Requires:  libXt(x86-32)
Requires:  libXp(x86-32)
Requires:  libXmu(x86-32)
Requires:  libXtst(x86-32)
Requires:  libXrender(x86-32)

%description
Wine release for use with Autovue Web Edition

%define debug_package %{nil}

%prep
%setup -q

%build
PATH=%{_topdir}/../../../thirdparty/freetype/builds/unix:$PATH LDFLAGS="-L%{_topdir}/../../../bin_rel" CFLAGS="-fshort-wchar -fexceptions -O2 -fno-builtin -I/usr/local/X11R6/include -DNDEBUG" CC="gcc -m32" CXX="g++ -m32" AS="as --32" LD="ld -melf_i386" ./configure --without-opengl --without-curses --disable-debug --prefix=%{buildroot}/usr/av

make main_depend && make -k LD="ld -melf_i386"


%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/usr/av
make install
python %{_topdir}/SPECS/wine_symlinks.py $RPM_BUILD_ROOT/usr/av/lib/wine

# Remove all traces of buildroot
for FILE_NAME in notepad progman regedit regsvr32 uninstaller wcmd wineboot winebrowse winecfg wineconsole winelauncher wineprefixcreate
do
	sed -i.bak 's|%{buildroot}||g' %{buildroot}/usr/av/bin/$FILE_NAME && rm %{buildroot}/usr/av/bin/$FILE_NAME.bak
done
sed -i.bak 's|%{buildroot}||g' %{buildroot}/usr/av/share/man/man1/wine.1 && rm %{buildroot}/usr/av/share/man/man1/wine.1.bak


%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%{_prefix}/*


%changelog
* Wed May 2 2018 John Rogers <john.rogers@oracle.com> -
- Removed debuginfo project to avoid installation conflict.
- A few minor buffer handling fixes.
- Disabled original Wine code that sets the hardware LDT. Was only needed for WIN16 compatibility, not used by AutoVue.
* Wed Jun 11 2014 George Laza <glaza@slc01frs> -
- Added support for 32-bit StretchBlt onto an EMF DC
* Fri Dec 20 2013 Alexandre Roumiantsev <aroumian@mtl150027> -
- Version update for the WINE JRE 7 fix
* Thu Nov 11 2010  Jean-Philippe Theriault <Jean-PhilippeTheriau@avbuild> -
- Added fix for printing 1 bit EMF bitmaps
* Tue Dec 2 2008  Jean-Philippe Theriault <Jean-PhilippeTheriau@sjeanphilippe> -
- Performance fixes to Xrender functions
* Tue Nov 25 2008  Jean-Philippe Theriault <Jean-PhilippeTheriau@sjeanphilippe> -
- OLE fix and fixes to Xrender functions
* Fri Oct 31 2008  Jean-Philippe Theriault <Jean-PhilippeTheriau@sjeanphilippe> -
- OLE fix
* Fri Oct 24 2008  Jean-Philippe Theriault <Jean-PhilippeTheriau@sjeanphilippe> -
- Fixed issue with thread adoption
* Thu Oct 16 2008  Jean-Philippe Theriault <Jean-PhilippeTheriau@sjeanphilippe> -
- Code to allow 32 bits bitmaps in Wine, and updates to AlphaBlend
* Fri Sep 26 2008  Jean-Philippe Theriault <Jean-PhilippeTheriau@sjeanphilippe> -
- More bug fixes
* Wed Sep 03 2008  Jean-Philippe Theriault <Jean-PhilippeTheriau@sjeanphilippe> -
- Included some bug fixes
* Mon Aug 25 2008  Jean-Philippe Theriault <Jean-PhilippeTheriau@sjeanphilippe> -
- Removed dependency on libartsc.so and corrected crash bug in x11drv
* Tue Jul 29 2008  Jean-Philippe Theriault <Jean-PhilippeTheriau@sjeanphilippe> -
- Rebuilding spec file from an old version and generalizing the build process
* Fri Jan 18 2008  Jean-Philippe Theriault <Jean-PhilippeTheriau@sjeanphilippe> -
- Changed installed directory from /usr/lib/wine to /usr/av
* Fri Dec 07 2007  Jean-Philippe Theriault <Jean-PhilippeTheriau@sjeanphilippe> -
- Updated the Wine sources
* Thu Sep 27 2007  Jean-Philippe Theriault <Jean-PhilippeTheriau@devrhel43> -
- Fixed so it would install to /usr/lib/wine rather than /usr/lib/jvuew
* Thu Sep 27 2007  Jean-Philippe Theriault <Jean-PhilippeTheriau@devrhel43> -
- Adding missing lib*.so links
* Wed Sep 26 2007  Jean-Philippe Theriault <Jean-PhilippeTheriau@devrhel43> -
- First successful package creation
* Mon Sep 24 2007  Jean-Philippe Theriault <Jean-PhilippeTheriau@devrhel43> -
- Initial build.

